Update a knowledge base chat
curl --request PATCH \
--url https://api.starleads.co/KnowledgeBaseChat/{chatId} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"name": "Updated KB",
"datasetIds": [
"ds_abc123",
"ds_def456"
],
"llmSettings": {
"temperature": 0.5
}
}
'import requests
url = "https://api.starleads.co/KnowledgeBaseChat/{chatId}"
payload = {
"name": "Updated KB",
"datasetIds": ["ds_abc123", "ds_def456"],
"llmSettings": { "temperature": 0.5 }
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Updated KB',
datasetIds: ['ds_abc123', 'ds_def456'],
llmSettings: {temperature: 0.5}
})
};
fetch('https://api.starleads.co/KnowledgeBaseChat/{chatId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"datasetIds": [
"<string>"
],
"datasetNames": [
"<string>"
],
"connectedAgentCount": 123,
"llmSettings": {
"temperature": 123,
"topP": 123,
"presencePenalty": 123,
"frequencyPenalty": 123
},
"promptSettings": {
"similarityThreshold": 123,
"keywordsSimilarityWeight": 123,
"topN": 123,
"prompt": "<string>",
"opener": "<string>",
"emptyResponse": "<string>",
"showQuote": true,
"rerankModel": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}RAG - Knowledge Base Chat
Update a knowledge base chat
Partially updates a knowledge base chat. Only the provided fields are updated; omitted fields remain unchanged. The model name field is not accepted.
PATCH
/
KnowledgeBaseChat
/
{chatId}
Update a knowledge base chat
Authorizations
Headers
Api key to pass as a X-Api-Key request header.
Path Parameters
ID of the knowledge base chat.
Body
application/json
Partial update for a chat. Only provided fields will be updated
Response
Chat updated successfully
Public representation of a knowledge base chat
Chat identifier
Chat name
Connected dataset IDs
Connected dataset names (read-only)
Number of agents using this chat
LLM configuration parameters exposed to the API (excludes model name)
Show child attributes
Show child attributes
RAG prompt configuration
Show child attributes
Show child attributes
Creation timestamp
Last update timestamp
⌘I

